Bug 185974 - /usr/ports/security/gnutls fails to install on freshly upgraded 10,0-RELEASE
Summary: /usr/ports/security/gnutls fails to install on freshly upgraded 10,0-RELEASE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-21 23:00 UTC by n/a
Modified: 2014-01-22 08:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description n/a 2014-01-21 23:00:00 UTC
Attempting to install /usr/ports/security/gnutls results in:

..
Making all in nettle
gmake[6]: Entering directory `/usr/ports/security/gnutls/work/gnutls-2.12.23/lib/nettle'
gmake[6]: Nothing to be done for `all'.
gmake[6]: Leaving directory `/usr/ports/security/gnutls/work/gnutls-2.12.23/lib/nettle'
gmake[6]: Entering directory `/usr/ports/security/gnutls/work/gnutls-2.12.23/lib'
  CXXLD  libgnutlsxx.la
c++: warning: argument unused during compilation: '-pthread'
/usr/bin/ld: cannot find -lstdc++
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[6]: *** [libgnutlsxx.la] Error 1
gmake[6]: Leaving directory `/usr/ports/security/gnutls/work/gnutls-2.12.23/lib'
gmake[5]: *** [all-recursive] Error 1
gmake[5]: Leaving directory `/usr/ports/security/gnutls/work/gnutls-2.12.23/lib'
gmake[4]: *** [all] Error 2
gmake[4]: Leaving directory `/usr/ports/security/gnutls/work/gnutls-2.12.23/lib'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/usr/ports/security/gnutls/work/gnutls-2.12.23'
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory `/usr/ports/security/gnutls/work/gnutls-2.12.23'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/security/gnutls
*** Error code 1

Stop.
make: stopped in /usr/ports/security/gnutls

repeating with MAKE_JOBS_UNSAFE=yes doesn't change anything...

How-To-Repeat: cd /usr/ports/security/gnutls && make on a FreeBSD 10.0-RELEASE
Comment 1 Edwin Groothuis freebsd_committer 2014-01-21 23:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Roman Bogorodskiy freebsd_committer 2014-01-22 07:50:53 UTC
Hi,

It feels like the upgrade was not quite complete. Did you run 'make
delete-old' and 'make delete-old-libs' for example?

Also, could you share config.log?

Thanks,

Roman Bogorodskiy
Comment 3 user.0901 2014-01-22 08:26:32 UTC
Hello Roman,

I didn't run make delete-old or make delete-old-libs as I didn't know it
would be necessary after using freebsd-update, but now I run both, and
after a reboot gnutls builds cleanly. So thanks a lot for your help and I
suppose you can close this PR.

Thanks!


On Wed, Jan 22, 2014 at 9:50 AM, Roman Bogorodskiy <novel@freebsd.org>wrote:

> Hi,
>
> It feels like the upgrade was not quite complete. Did you run 'make
> delete-old' and 'make delete-old-libs' for example?
>
> Also, could you share config.log?
>
> Thanks,
>
> Roman Bogorodskiy
>
Comment 4 Roman Bogorodskiy freebsd_committer 2014-01-22 08:32:52 UTC
State Changed
From-To: open->closed

Closing as it was an environment problem.
Comment 5 Roman Bogorodskiy freebsd_committer 2014-01-22 08:34:36 UTC
  bla bla wrote:

> Hello Roman,
> 
> I didn't run make delete-old or make delete-old-libs as I didn't know it
> would be necessary after using freebsd-update, but now I run both, and
> after a reboot gnutls builds cleanly. So thanks a lot for your help and I
> suppose you can close this PR.

Great, thanks,

Roman Bogorodskiy